# Возможно надо открыть на GCP firewall порты 80 и 443
# Надо создать балансировщик в GCP
# Надо включить Low Port range для NodePorts

helm repo add stable https://kubernetes-charts.storage.googleapis.com
helm repo update

helm upgrade --install http-https stable/nginx-ingress --set controller.service.type=NodePort \
--set controller.service.externalTrafficPolicy=Cluster \
--set controller.service.httpPort.nodePort=80 \
--set controller.service.httpsPort.nodePort=443 \
--set controller.addHeaders."X-XSS-Protection"="1\;mode=block" \
--set controller.addHeaders."Strict-Transport-Security"="max-age=31536000;includeSubdomains;preload" \
--set controller.addHeaders."X-Frame-Options"="SAMEORIGIN" \
--set controller.addHeaders."X-Content-Type-Options"="nosniff"